Subject: [Hipsec] Fwd: [hipl-users] HMAC Field in HIP DATA Packets

From: Prabhu Patil <[email-masked]>
Date: Mon, 25 May 2009 10:29:02 +0300

Hi,
I am in the process of implementing HIP DATA packets draft. Facing problem in
implementing HMAC field in DATA Packets (HICCUPS Draft)

As I understand from hip draft 5201 that, HMAC key is derived from the
key matrix (Section 6.5 ) i.e HIP-gl/HIP-lg integrity (HMAC). But
these are available only when there is the Diffie-Hellman session key
(Kij).

Do you have any idea how to get HMAC key without base exchange?

Thanks
Prabhu Patil

----- End forwarded message -----